# Jobs Object

> Source: https://truto.one/docs/api-reference/unified-ats-api/jobs/

Schema for the `Jobs` resource in **Unified ATS API**.

## Properties

- **`id`** _(string, required)_
  The job's unique identifier
- **`name`** _(string)_
  The job's name
- **`description`** _(string)_
  The job's description
- **`code`** _(string)_
  The job's code
- **`requisition_id`** _(string)_
  The job's requisition_id
- **`status`** _(string)_
  The job's status
  Allowed: `open`, `closed`, `draft`, `pending`, `archived`
- **`locations`** _(array<string>)_
  The job's locations
- **`job_posting_urls`** _(array<object>)_
  The job's job posting urls
  - **`url`** _(string)_
    The job posting URL
  - **`type`** _(string)_
    The job posting URL's type
- **`confidential`** _(boolean)_
  Whether the job is confidential or not
- **`departments`** _(array<object>)_
  The job's department
  - **`id`** _(string)_
    Unique identifier of the department
  - **`name`** _(string)_
    The department's name
- **`teams`** _(array<object>)_
- **`offices`** _(array<object>)_
  The job's office
  - **`id`** _(string)_
    Unique identifier of the office
  - **`name`** _(string)_
    The office's name
- **`hiring_managers`** _(array<object>)_
  The job's hiring managers
  - **`id`** _(string)_
    Unique identifier of the user
  - **`name`** _(string)_
    The user's name
- **`recruiters`** _(array<object>)_
  The job's recruiters
  - **`id`** _(string)_
    Unique identifier of the user
  - **`name`** _(string)_
    The user's name
- **`tags`** _(array<string>)_
  The job's tags
- **`is_remote`** _(boolean)_
  Whether the job is remote or not
- **`job_type`** _(string)_
  The job's type.
  Allowed: `full_time`, `part_time`, `contract`, `internship`, `temporary`, `volunteer`, `per_diem`
- **`job_position_level`** _(string)_
  The job's position level.
- **`compensation`** _(object)_
  - **`id`** _(string)_
    The job's compensation unique identifier
  - **`currency`** _(string)_
    The job's compensation currency
  - **`min`** _(number)_
    The job's minimum compensation
  - **`max`** _(number)_
    The job's maximum compensation
  - **`interval`** _(string)_
    The job's compensation interval. If no clear mapping exists, then raw value is returned.
    Allowed: `yearly`, `monthly`, `weekly`, `daily`, `hourly`, `one_time`, `semi_monthly`, `bi_monthly`, `bi_weekly`
  - **`is_negotiable`** _(boolean)_
    Whether the job's compensation is negotiable or not
  - **`notes`** _(string)_
    The job's compensation notes
- **`created_at`** _(string)_
  The date and time of the job's creation
- **`updated_at`** _(string)_
  The date and time of the job's last update
- **`closed_at`** _(string)_
  The date and time of the job's closing
- **`opened_at`** _(string)_
  The date and time of the job's opening
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/ats/jobs](/docs/api-reference/unified-ats-api/jobs/list) — List Jobs
- [GET /unified/ats/jobs/{id}](/docs/api-reference/unified-ats-api/jobs/get) — Get Jobs
